# Interface ApiWrapper<T, U>

interface ApiWrapper<T, U = BaseMessages> {
error: number;
errorMsg?: string;
f: string;
messages: U;
o: string;
result: T;
}

#### Type Parameters

- T
- U = BaseMessages

#### Hierarchy (View Summary)

- ApiDefaultWrapper<U>
  - ApiWrapper

- Defined in jamespot-user-api/src/types/utils.ts:59

##### Index

### Properties

error
errorMsg?
f
messages
o
result

## Properties

### error

error: number

Inherited from ApiDefaultWrapper.error

- Defined in jamespot-user-api/src/types/utils.ts:54

### `Optional` errorMsg

errorMsg?: string

Inherited from ApiDefaultWrapper.errorMsg

- Defined in jamespot-user-api/src/types/utils.ts:56

### f

f: string

Inherited from ApiDefaultWrapper.f

- Defined in jamespot-user-api/src/types/utils.ts:53

### messages

messages: U

Inherited from ApiDefaultWrapper.messages

- Defined in jamespot-user-api/src/types/utils.ts:55

### o

o: string

Inherited from ApiDefaultWrapper.o

- Defined in jamespot-user-api/src/types/utils.ts:52

### result

result: T

- Defined in jamespot-user-api/src/types/utils.ts:60